#! /usr/bin/python

import os
import pybsm
import unittest

class TestAuditpipe(unittest.TestCase):
    '''Simple test of auditpipe and audit subsystem'''
    def setUp(self):
        os.system("/usr/sbin/audit -t > /dev/null")
        self.ap = pybsm.io("/dev/auditpipe")
    def tearDown(self):
        del self.ap
        os.system("/usr/sbin/audit -t > /dev/null")
    def test_audit(self):
        pid = os.fork()
        if pid == 0:
            os.system("/usr/sbin/auditd")
            os._exit(0)
        record = self.ap.au_read_rec()
        # assert that 3rd token in the record from the 'auditd' startup
        self.assertEqual(record[2]['text'], "auditd::Audit startup")
        

if __name__ == '__main__':
    unittest.main()
